Orxonox: TiXmlAttribute Class Reference

# TiXmlAttribute Class Reference

`#include <src/tinyxml/tinyxml.h>`

Inheritance diagram for TiXmlAttribute:

List of all members.

## Public Member Functions

double | DoubleValue () const
| Return the value of this attribute, converted to a double.
int | IntValue () const
| Return the value of this attribute, converted to an integer.
const char * | Name () const
| Return the name of this attribute.
const TIXML_STRING & | NameTStr () const
TiXmlAttribute * | Next ()
const TiXmlAttribute * | Next () const
| Get the next sibling attribute in the DOM. Returns null at end.
bool | operator< (const TiXmlAttribute &rhs) const
bool | operator== (const TiXmlAttribute &rhs) const
bool | operator> (const TiXmlAttribute &rhs) const
virtual const char * | Parse (const char *p, TiXmlParsingData *data, TiXmlEncoding encoding)
TiXmlAttribute * | Previous ()
const TiXmlAttribute * | Previous () const
| Get the previous sibling attribute in the DOM. Returns null at beginning.
void | Print (FILE *cfile, int depth, TIXML_STRING *str) const
virtual void | Print (FILE *cfile, int depth) const
int | QueryDoubleValue (double *_value) const
| QueryDoubleValue examines the value string. See QueryIntValue().
int | QueryIntValue (int *_value) const
void | SetDocument (TiXmlDocument *doc)
void | SetDoubleValue (double _value)
| Set the value from a double.
void | SetIntValue (int _value)
| Set the value from an integer.
void | SetName (const char *_name)
| Set the name of this attribute.
void | SetValue (const char *_value)
| Set the value.
| TiXmlAttribute (const char *_name, const char *_value)
| Construct an attribute with a name and value.
| TiXmlAttribute ()
| Construct an empty attribute.
const char * | Value () const
| Return the value of this attribute.

## Private Member Functions

void | operator= (const TiXmlAttribute &base)
| TiXmlAttribute (const TiXmlAttribute &)

## Private Attributes

TiXmlDocument * | document
TIXML_STRING | name
TiXmlAttribute * | next
TiXmlAttribute * | prev
TIXML_STRING | value

## Friends

class | TiXmlAttributeSet

## Detailed Description

An attribute is a name-value pair. Elements have an arbitrary number of attributes, each with a unique name.

Note:
  The attributes are not TiXmlNodes, since they are not part of the tinyXML document object model. There are other suggested ways to look at this problem.

## Constructor & Destructor Documentation

TiXmlAttribute::TiXmlAttribute | ( |  | ) | `[inline]`

Construct an empty attribute.

References document, next, and prev.

TiXmlAttribute::TiXmlAttribute | ( | const char * | _name,
|  | const char * | _value |
| ) |  |  | `[inline]`

Construct an attribute with a name and value.

References document, name, next, prev, and value.

TiXmlAttribute::TiXmlAttribute | ( | const TiXmlAttribute & |  | ) | `[private]`

## Member Function Documentation

double TiXmlAttribute::DoubleValue | ( |  | ) | const

Return the value of this attribute, converted to a double.

References value.

int TiXmlAttribute::IntValue | ( |  | ) | const

Return the value of this attribute, converted to an integer.

References value.

const char* TiXmlAttribute::Name | ( |  | ) | const`[inline]`

Return the name of this attribute.

References name.

Referenced by TiXmlAttributeSet::Add(), TiXmlElement::CopyTo(), and TiXmlElement::Parse().

const TIXML_STRING& TiXmlAttribute::NameTStr | ( |  | ) | const`[inline]`

References name.

Referenced by TiXmlElement::Parse().

TiXmlAttribute* TiXmlAttribute::Next | ( |  | ) | `[inline]`

const TiXmlAttribute * TiXmlAttribute::Next | ( |  | ) | const

Get the next sibling attribute in the DOM. Returns null at end.

References name, next, and value.

Referenced by TiXmlElement::CopyTo(), TiXmlElement::Print(), and TiXmlPrinter::VisitEnter().

bool TiXmlAttribute::operator< | ( | const TiXmlAttribute & | rhs | ) | const`[inline]`

References name.

void TiXmlAttribute::operator= | ( | const TiXmlAttribute & | base | ) | `[private]`

bool TiXmlAttribute::operator== | ( | const TiXmlAttribute & | rhs | ) | const`[inline]`

References name.

bool TiXmlAttribute::operator> | ( | const TiXmlAttribute & | rhs | ) | const`[inline]`

References name.

const char * TiXmlAttribute::Parse | ( | const char * | p,
|  | TiXmlParsingData * | data,
|  | TiXmlEncoding | encoding |
| ) |  |  | `[virtual]`

Implements TiXmlBase.

References TiXmlParsingData::Cursor(), TiXmlBase::IsWhiteSpace(), TiXmlBase::location, name, TiXmlBase::ReadName(), TiXmlBase::ReadText(), TiXmlDocument::SetError(), TiXmlBase::SkipWhiteSpace(), TiXmlParsingData::Stamp(), TiXmlBase::TIXML_ERROR_READING_ATTRIBUTES, and value.

Referenced by TiXmlStylesheetReference::Parse(), TiXmlDeclaration::Parse(), and TiXmlElement::Parse().

TiXmlAttribute* TiXmlAttribute::Previous | ( |  | ) | `[inline]`

const TiXmlAttribute * TiXmlAttribute::Previous | ( |  | ) | const

Get the previous sibling attribute in the DOM. Returns null at beginning.

References name, prev, and value.

void TiXmlAttribute::Print | ( | FILE * | cfile,
|  | int | depth,
|  | TIXML_STRING * | str |
| ) |  |  | const

References TiXmlBase::EncodeString(), TIXML_STRING, and value.

virtual void TiXmlAttribute::Print | ( | FILE * | cfile,
|  | int | depth |
| ) |  |  | const`[inline, virtual]`

All TinyXml classes can print themselves to a filestream or the string class (TiXmlString in non-STL mode, std::string in STL mode.) Either or both cfile and str can be null.

This is a formatted print, and will insert tabs and newlines.

(For an unformatted stream, use the << operator.)

Implements TiXmlBase.

Referenced by TiXmlDocument::Print(), and TiXmlPrinter::VisitEnter().

int TiXmlAttribute::QueryDoubleValue | ( | double * | _value | ) | const

QueryDoubleValue examines the value string. See QueryIntValue().

References TIXML_SSCANF, TIXML_SUCCESS, TIXML_WRONG_TYPE, and value.

Referenced by TiXmlElement::QueryDoubleAttribute().

int TiXmlAttribute::QueryIntValue | ( | int * | _value | ) | const

QueryIntValue examines the value string. It is an alternative to the IntValue() method with richer error checking. If the value is an integer, it is stored in 'value' and the call returns TIXML_SUCCESS. If it is not an integer, it returns TIXML_WRONG_TYPE.

A specialized but useful call. Note that for success it returns 0, which is the opposite of almost all other TinyXml calls.

References TIXML_SSCANF, TIXML_SUCCESS, TIXML_WRONG_TYPE, and value.

Referenced by TiXmlElement::QueryIntAttribute().

void TiXmlAttribute::SetDocument | ( | TiXmlDocument * | doc | ) | `[inline]`

References document.

Referenced by TiXmlElement::Parse().

void TiXmlAttribute::SetDoubleValue | ( | double | _value | ) |

Set the value from a double.

References SetValue().

void TiXmlAttribute::SetIntValue | ( | int | _value | ) |

Set the value from an integer.

References SetValue().

void TiXmlAttribute::SetName | ( | const char * | _name | ) | `[inline]`

Set the name of this attribute.

References name.

void TiXmlAttribute::SetValue | ( | const char * | _value | ) | `[inline]`

Set the value.

References value.

Referenced by TiXmlElement::Parse(), TiXmlElement::SetAttribute(), SetDoubleValue(), and SetIntValue().

const char* TiXmlAttribute::Value | ( |  | ) | const`[inline]`

Return the value of this attribute.

References value.

Referenced by TiXmlElement::Attribute(), TiXmlElement::CopyTo(), TiXmlStylesheetReference::Parse(), TiXmlDeclaration::Parse(), and TiXmlElement::Parse().

## Friends And Related Function Documentation

friend class TiXmlAttributeSet`[friend]`

## Member Data Documentation

TiXmlDocument* TiXmlAttribute::document`[private]`

Referenced by SetDocument(), and TiXmlAttribute().

TIXML_STRING TiXmlAttribute::name`[private]`

Referenced by TiXmlAttributeSet::Find(), Name(), NameTStr(), Next(), operator<(), operator==(), operator>(), Parse(), Previous(), SetName(), and TiXmlAttribute().

TiXmlAttribute* TiXmlAttribute::next`[private]`

Referenced by TiXmlAttributeSet::Add(), TiXmlAttributeSet::Find(), TiXmlAttributeSet::First(), Next(), TiXmlAttributeSet::Remove(), TiXmlAttribute(), TiXmlAttributeSet::TiXmlAttributeSet(), and TiXmlAttributeSet::~TiXmlAttributeSet().

TiXmlAttribute* TiXmlAttribute::prev`[private]`

Referenced by TiXmlAttributeSet::Add(), TiXmlAttributeSet::Last(), Previous(), TiXmlAttributeSet::Remove(), TiXmlAttribute(), TiXmlAttributeSet::TiXmlAttributeSet(), and TiXmlAttributeSet::~TiXmlAttributeSet().

TIXML_STRING TiXmlAttribute::value`[private]`

Referenced by DoubleValue(), IntValue(), Next(), Parse(), Previous(), Print(), QueryDoubleValue(), QueryIntValue(), SetValue(), TiXmlAttribute(), and Value().

The documentation for this class was generated from the following files:

- src/tinyxml/tinyxml.h
- src/tinyxml/tinyxml.cpp
- src/tinyxml/tinyxmlparser.cpp